{
  "schema_version": "1.4.0",
  "id": "GHSA-4rmv-vj76-xqwc",
  "modified": "2025-09-16T18:31:26Z",
  "published": "2025-09-16T18:31:26Z",
  "aliases": [
    "CVE-2023-53309"
  ],
  "details": "In the Linux kernel, the following vulnerability has been resolved:\n\ndrm/radeon: Fix integer overflow in radeon_cs_parser_init\n\nThe type of size is unsigned, if size is 0x40000000, there will be an\ninteger overflow, size will be zero after size *= sizeof(uint32_t),\nwill cause uninitialized memory to be referenced later",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2023-53309"
    },
    {
      "type": "WEB",
      "url": "https://git.kernel.org/stable/c/25e634d7f44eb13113139040e5366bebe48c882f"
    },
    {
      "type": "WEB",
      "url": "https://git.kernel.org/stable/c/2e1be420b86980c25a75325e90dfc3fc73126f61"
    },
    {
      "type": "WEB",
      "url": "https://git.kernel.org/stable/c/b8fab6aebdf2115ec2d7bd2f3498d5b911ff351e"
    },
    {
      "type": "WEB",
      "url": "https://git.kernel.org/stable/c/c0d7dbc6b7a61a56028118c00af2c8319d44a682"
    },
    {
      "type": "WEB",
      "url": "https://git.kernel.org/stable/c/cfa9148bafb2d3292b65de1bac79dcca65be2643"
    },
    {
      "type": "WEB",
      "url": "https://git.kernel.org/stable/c/d05ba46134d07e889de7d23cf8503574a22ede09"
    },
    {
      "type": "WEB",
      "url": "https://git.kernel.org/stable/c/e6825b30d37fe89ceb87f926d33d4fad321a331e"
    },
    {
      "type": "WEB",
      "url": "https://git.kernel.org/stable/c/f828b681d0cd566f86351c0b913e6cb6ed8c7b9c"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": null,
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2025-09-16T17:15:36Z"
  }
}